> For the complete documentation index, see [llms.txt](https://doc.api-engagement.beta.gouv.fr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.api-engagement.beta.gouv.fr/api-reference/mockoon.md).

# Mock offline

Une archive Mockoon est disponible pour les partenaires qui doivent tester leur integration dans un environnement deconnecte d'internet.

Elle contient un mock local de l'API publique, les fichiers necessaires au lancement Docker, un smoke test et la specification OpenAPI.

## Telechargement

La derniere archive est publiee avec les releases GitHub :

```
https://github.com/betagouv/api-engagement/releases/latest/download/api-engagement-latest.tar.gz
```

Chaque release conserve son propre artefact. Le nom de fichier reste donc stable pour faciliter le telechargement de la derniere version.

## Contrat API

Le contrat detaille des endpoints, schemas et erreurs reste documente dans cette documentation et dans la specification OpenAPI :

```
https://raw.githubusercontent.com/betagouv/api-engagement/main/api/docs/openapi.yaml
```

L'archive inclut egalement ce fichier sous `mockoon/docs/openapi.yaml`.

## Installation

Les instructions d'installation offline sont dans le README inclus dans l'archive.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.api-engagement.beta.gouv.fr/api-reference/mockoon.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
